=== debian/changelog ===
plash (1.11) unstable; urgency=low

  * Add run-emacs.c and plash-gnuserv.el:  major new feature.
  * Converted man pages and other documentation to DocBook format.
    Created new surface syntax for XML.
  * shell.c:  Fixed bugs in non-interactive mode (which is used when
    plash is invoked with the "-c" option) so that it works.
  * Add socket-connect.c
  * Add socket-publish.c.  Changed cap-protocol.[ch] to add a new
    interface for listening on connections, which allows you to call
    select() in your own code so that you can wait for events on
    other file descriptors.
  * fs-operations.c:  Disable the warning about open()ing directories.
    Now that fchdir() works it's less relevant.  It generates too many
    warnings with XEmacs and it gets annoying.
  * build-fs.c:  Changed the `create' argument of fs_resolve_populate()
    into a `flags' argument.
     * You can now control whether to attach the destination as a
       read-write-create slot, as a read-write object, or as read-only.
       The second choice was not available before:  this is useful for
       devices (eg. /dev/null) and sockets (eg. /tmp/.X11-unix/X0) when
       you want to grant write or connect access, but not unlink/create
       access.
     * Following symlinks:  When attaching a read-write-create slot,
       if the slot contains a symlink it will be followed.
       Note, however, that symlinks are dangerous and so there is now a
       flag for choosing whether to follow symlinks.  (However, the shell
       doesn't give you a choice yet -- it follows symlinks.)
  * build-fs-dynamic.c:  Changed dir_list method to include dt_ino (inode)
    and dt_type fields.  XEmacs won't display directory listings for
    filename completion without these.
  * shell.c:  Added checks for errors to calls to fs_resolve_populate().
  * shell.c:  When invoking an executable object, it will now set the
    cwd argument appropriately (previously, it was always unset).

 -- Mark Seaborn <mseaborn@onetel.com>  Sat, 13 Aug 2005 19:43:19 +0100

plash (1.10) unstable; urgency=low

  * Implemented fchdir():
     * Convert `struct dir_stack' to be a `struct filesys_obj'; ie. added a
       dummy vtable.  Add the function dir_stack_make().
     * For the case when open() returns a dummy FD, changed it so that the
       fs_op object (in the server) opens /dev/null, rather than the libc
       client requesting /dev/null.  This removes the need for the client's
       file namespace to contain /dev/null, and it removes the risk of an
       infinite loop if /dev/null should be mapped to a directory.
     * libc-misc.c:  Added fchdir().  Added a file descriptor table which
       maps file descriptor slot numbers to objects.  For directory FDs,
       these objects will be dir_stacks.  Added close(), not previously
       intercepted by Plash, which will now remove an entry from the
       table as well as closing the real kernel FD.
     * fs-operations.c:  Added fchdir() case.
  * libc-misc.c:  Moved duplicated error handling code into one function.

 -- Mark Seaborn <mseaborn@onetel.com>  Tue, 19 Jul 2005 22:46:31 +0100

plash (1.9) unstable; urgency=low

  * Use /var/lib/plash-chroot-jail rather than /usr/lib/plash-chroot-jail.
    It contains plash-uid-locks which needs to be writable.  For FHS
    compliance, this needs to go into /var.
  * fs-operations.c:  Convert main dispatch function to use a switch
    statement rather than a long series of tests.  List method IDs in
    make-marshal.pl and use macros to refer to them.
  * chroot.c, exec-object.c:  simplify by making them use get_process_caps()
    (which was introduced for plash-opts)
  * build-fs.c:
    New code: having constructed the node filesystem structure, there is a
    new way of turning it into a usable directory structure.  The old way
    was to copy it to create fabricated directories.  Now there is a new
    kind of fabricated directory which references the original node
    structure.  This has two useful properties over the old way:
     * New stuff can be added into the directory tree dynamically.
     * There are "combined" fabricated directories, which are like a union
       with a real directory.  Hence you can attach objects below other
       attached directories.  This provides functionality similar to
       mount points in Linux or Plan 9.
       (The difference is that Linux mount points are implemented in terms
       of the identity of directories -- their inode numbers -- whereas
       combined fab dirs follow the structure.  And mount points only work
       with directories and can only replace existing directories.
       Combined fab dirs can provide their own structure.)
    Split code out into build-fs-static.c (old) and build-fs-dynamic.c (new).
    Merge attach_ro_obj and attach_rw_slot fields of node.
    Fix potential leak when symlink_dest is overwritten (similar fix
    for the attach_slot field).
  * libc-getuid.c:  Add no-ops: set{,e,re,res}{u,g}id, which always return
    a success result.  This is necessary to run programs like `mkisofs' and
    `make' which do pointless UID operations.
  * comms.c:  Fixed bug in comm_resize that could lead to buffer overruns.
  * shell.c:  Add default installation endowment to namespace first, so
    that it can be overridden.

 -- Mark Seaborn <mseaborn@onetel.com>  Sat, 09 Jul 2005 19:37:09 -0400

plash (1.8) unstable; urgency=low

  * Add man pages (using Perl's POD format).
  * Swapped the precedences of "+" and "=>" arglist operators.
    "=>" now binds more tightly than "+".
  * Changed packaging and build system so that glibc can be built fully
    automatically.
  * fs-operations.c, libc-misc.c:  open() now has limited functionality
    for opening directories.  It will return a dummy FD (actually for
    /dev/null).  This means you can call close() on it; this is
    sufficient to run XEmacs.
  * Added the "Gobj" method to fs-operations.c.

